// 用户详情
export const userDetail = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/main/detail',
    data,
  })

// 用户编辑
export const userEdit = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/main/edit',
    data,
  })

// 获奖荣誉- 列表
export const getHonorList = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/honor/index',
    data,
  })

// 获奖荣誉- 添加
export const getHonorAdd = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/honor/add',
    data,
  })

// 获奖荣誉- 编辑
export const getHonorEdit = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/honor/edit',
    data,
  })

// 获奖荣誉- 详情
export const getHonorDetail = (data = {}) =>
  request({
    url: '/user/honor/detail',
    data,
  })

// 获奖荣誉- 删除
export const getHonorDel = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/honor/delete',
    data,
  })

// 工作经历-列表
export const getWorkExpList = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/working/index',
    data,
  })

// 工作经历-添加
export const getWorkExpAdd = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/working/add',
    data,
  })

// 工作经历-编辑
export const getWorkExpEdit = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/working/edit',
    data,
  })
// 工作经历-详情
export const getWorkExpDetail = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/working/detail',
    data,
  })
// 工作经历-删除
export const getWorkExpDel = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/working/delete',
    data,
  })

/**
 * 家庭成员
*/
// 家庭成员- 列表
export const familyNumberList = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/family/index',
    data,
  })

// 家庭成员- 添加
export const familyNumberAdd = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/family/add',
    data,
  })

// 家庭成员- 编辑
export const familyNumberEdit = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/family/edit',
    data,
  })

// 家庭成员- 详情
export const familyNumberDetail = (data = {}) =>
  request({
    url: '/user/family/detail',
    data,
  })

// 家庭成员- 删除
export const familyNumberDel = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/family/delete',
    data,
  })

/**
 * 任职信息
*/
// 任职信息- 列表
export const EmploymentInforList = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/rzxx/index',
    data,
  })

// 任职信息- 添加
export const EmploymentInforAdd = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/rzxx/add',
    data,
  })

// 任职信息- 编辑
export const EmploymentInforEdit = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/rzxx/edit',
    data,
  })

// 任职信息- 详情
export const EmploymentInforDetail = (data = {}) =>
  request({
    url: '/user/rzxx/detail',
    data,
  })

// 任职信息- 删除
export const EmploymentInforDel = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/rzxx/delete',
    data,
  })

// 年级列表
export const gradeList = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/jcxx/grade/index',
    data,
  })
// 班级列表
export const classList = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/jcxx/class/index',
    data,
  })

// 修改密码
export const changePas = (data = {}) =>
  request({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: '/user/main/reset_my_password',
    data,
  })

// 文件上传
export const file_upload = (data = {}) => {
  return REQUEST.upload({
    baseURL: window.GLOBAL_CONFIG.uc,
    url: 'upload/main/file',
    data: { filedata: data.file },
  })
}

// 身份验证（停用）
export const checkId = (data = {}) =>
  request({
    baseURL: 'https://myxjyszptxapi.bozedu.top',
    url: '/openapi/idn.php',
    data,
  })

